> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/containers/toolbar/wisej.web.toolbarbuttonstyle.md).

# ToolBarButtonStyle

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Specifies the style of the button in a [ToolBar](/api/wisej.web/containers/toolbar.md) control.

{% tabs %}
{% tab title="C#" %}

```csharp
public enum ToolBarButtonStyle : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum ToolBarButtonStyle As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name               | Description                                                                                                                                    |
| ------------------ | ---------------------------------------------------------------------------------------------------------------------------------------------- |
| **DropDownButton** | A drop-down button that displays a menu when clicked.                                                                                          |
| **PushButton**     | A standard button.                                                                                                                             |
| **Separator**      | A line between [ToolBar](/api/wisej.web/containers/toolbar.md) buttons.                                                                        |
| **ToggleButton**   | A toggle button. The [Pushed](/api/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md#pushed) property and state is toggle on each click. |

## Used By

| Name                                                                                                                                    | Description                                                                                          |
| --------------------------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------- |
| [ToolBarButton.Style](/api/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md#style)                                               | Returns or sets the style of the toolbar button.                                                     |
| [ToolBarButtonExtensions.Style](/api/wisej.web.markup/extensions/wisej.web.markup.toolbarbuttonextensions.md#style-toolbarbutton-style) | Sets the style of the [ToolBarButton](/api/wisej.web/containers/toolbar/wisej.web.toolbarbutton.md). |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/containers/toolbar/wisej.web.toolbarbuttonstyle.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
